### Method

# Gdk Paintable get_flags

#### Declaration [src]

    GdkPaintableFlags
    gdk_paintable_get_flags (
      GdkPaintable* paintable
    )

#### Description [src]

Get flags for the paintable.

This is oftentimes useful for optimizations.

See `GdkPaintableFlags` for the flags and what they mean.

#### Return value

Returns: | `GdkPaintableFlags`
| The `GdkPaintableFlags` for this paintable.